<?php
class Usuario{
    private $idUsuario;
    private $Nivel;
    private $senha;
    private $configuracoes; //json
    
    private $Pessoa, $Auditoria;
    
    public function __construct($idUsuario = "",
                                $Nivel     = "",
                                $config    = "") {
        
        $this->idUsuario     = $idUsuario;
        $this->Nivel         = $Nivel;
        $this->configuracoes = $config;
    }
    
    public function getIdUsuario(){
        return $this->idUsuario;
    }
    public function setIdUsuario($id){
        $this->idUsuario = $id;
    }
    
    public function getSenha(){
        return $this->senha;
    }
    public function setSenha($senha){
        $this->senha = $senha;
    }
    
    public function getConfig(){
        return $this->configuracoes;
    }
    public function setConfig($config){
        $this->configuracoes = $config;
    }
    
    /* Gerar Senha */
    public function gerarSenha($senha){
        $res = md5('$$'.$senha.'$$');
        self::setSenha($res);
    }
    
    
    public function getNivel(){
        return $this->Nivel;
    }
    public function setNivel(Nivel $objNivel){
        $this->Nivel = $objNivel;
    }
    
    public function getPessoa(){
        return $this->Pessoa;
    }
    public function setPessoa(Pessoa $objPessoa){
        $this->Pessoa = $objPessoa;
    }
    
    public function getAuditoria(){
        return $this->Auditoria;
    }
    public function setAuditoria(Auditoria $objAuditoria){
        $this->Auditoria = $objAuditoria;
    }
            
}